Index: /LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90	(revision 5116)
@@ -13200,26 +13071,26 @@
                  -max(snow_evap(i),0.0)*dtime-fqcalving(i)*dtime,snow(i), &
                  'calcul_iso_surf_ter 224',errmax_sol*max(snow(i),1.0), &
-                  errmaxrel).eq.1) then
-             write(*,*) 'snow(i)=',snow(i)
-             write(*,*) 'snow_prec(i)=',snow_prec(i)
-             write(*,*) 'precip_snow(i)*dt=',precip_snow(i)*dtime
-             write(*,*) 'fq_fonte_neige(i)=',fq_fonte_neige(i)
-             write(*,*) 'snow_evap(i)*dt=',snow_evap(i)*dtime
-             write(*,*) 'fqcalving(i)=',fqcalving(i)*dtime
-             write(*,*) 'snow_avant_evap(i)=',snow_avant_evap(i)
-             write(*,*) 'snow_apres_precip(i)=',snow_apres_precip(i)
+                  errmaxrel).eq.1) THEN
+             WRITE(*,*) 'snow(i)=',snow(i)
+             WRITE(*,*) 'snow_prec(i)=',snow_prec(i)
+             WRITE(*,*) 'precip_snow(i)*dt=',precip_snow(i)*dtime
+             WRITE(*,*) 'fq_fonte_neige(i)=',fq_fonte_neige(i)
+             WRITE(*,*) 'snow_evap(i)*dt=',snow_evap(i)*dtime
+             WRITE(*,*) 'fqcalving(i)=',fqcalving(i)*dtime
+             WRITE(*,*) 'snow_avant_evap(i)=',snow_avant_evap(i)
+             WRITE(*,*) 'snow_apres_precip(i)=',snow_apres_precip(i)
              stop
          endif
-         if (iso_eau.gt.0) then  
+         if (iso_eau.gt.0) THEN
                  CALL iso_verif_egalite_choix( &
                      xtsnow_avant_evap(iso_eau,i), &
                      snow_avant_evap(i),'calcul_iso_surf_ter 1082', &
                      errmax,errmaxrel)
-          endif !if (iso_eau.gt.0) then
-           if (iso_HDO.gt.0) then                   
+          endif !if (iso_eau.gt.0) THEN
+           if (iso_HDO.gt.0) THEN
              CALL iso_verif_aberrant_choix(xtsnow_avant_evap(iso_hdo,i), &
                         snow_avant_evap(i),ridicule_snow,deltalim_snow, &
                         'calcul_iso_surf_ter 1991')
-          endif !if (iso_eau.gt.0) then
+          endif !if (iso_eau.gt.0) THEN
        enddo !do i=1,knon  
 #endif            
@@ -13230,8 +13101,8 @@
 
         do i=1,knon
-         if (snow_evap(i).gt.ridicule**2) then
+         if (snow_evap(i).gt.ridicule**2) THEN
             ! CRisi 9 juin 2021: on met un seuil plus strict.
             ! sublimation positive, sans fractionnement            
-            if (snow_avant_evap(i).gt.ridicule**2) then    
+            if (snow_avant_evap(i).gt.ridicule**2) THEN
               ! on sublime sans fractionnement une partie de la neige.
               ! on en profite pour en effonfrer aussi éventuellement une
@@ -13249,12 +13120,12 @@
 !     &          'calcul_iso_surf_ter 2543')
                if (iso_verif_noNaN_nostop(xtsnow_evap(ixt,i), &
-                'calcul_iso_surf_ter 2543').eq.1) then
-                  write(*,*) 'xtsnow_avant_evap(ixt,i)=', &
+                'calcul_iso_surf_ter 2543').eq.1) THEN
+                  WRITE(*,*) 'xtsnow_avant_evap(ixt,i)=', &
                         xtsnow_avant_evap(ixt,i)
-                  write(*,*) 'snow_avant_evap(i)=',snow_avant_evap(i)
-                  write(*,*) 'Rsnow_avant_evap(ixt,i)=', &
+                  WRITE(*,*) 'snow_avant_evap(i)=',snow_avant_evap(i)
+                  WRITE(*,*) 'Rsnow_avant_evap(ixt,i)=', &
                         Rsnow_avant_evap(ixt,i)
-                  write(*,*) 'snow_evap(i)=',snow_evap(i)
-                  write(*,*) 'ixt,i=',ixt,i
+                  WRITE(*,*) 'snow_evap(i)=',snow_evap(i)
+                  WRITE(*,*) 'ixt,i=',ixt,i
                   stop
                endif !if (iso_verif_noNaN_nostop(xtsnow_evap(ixt,i),
@@ -13262,16 +13133,16 @@
 #endif
              
-            else !if (snow_avant_evap(i).gt.0.0) then  
+            else !if (snow_avant_evap(i).gt.0.0) THEN
 #ifdef ISOVERIF                
-                write(*,*) 'iso_surf_lic 952: quoi evaporer?'
-                write(*,*) 'snow_evap(i),snow_avant_evap(i)=', &
+                WRITE(*,*) 'iso_surf_lic 952: quoi evaporer?'
+                WRITE(*,*) 'snow_evap(i),snow_avant_evap(i)=', &
                          snow_evap(i),snow_avant_evap(i)
-                write(*,*) 'snow(i)=',snow(i)
-                write(*,*) 'snow_apres_precip(i)=',snow_apres_precip(i)
-                write(*,*) 'Rsnow_apres_precip(:,i)=',Rsnow_apres_precip(:,i)
-                write(*,*) 'i=',i
+                WRITE(*,*) 'snow(i)=',snow(i)
+                WRITE(*,*) 'snow_apres_precip(i)=',snow_apres_precip(i)
+                WRITE(*,*) 'Rsnow_apres_precip(:,i)=',Rsnow_apres_precip(:,i)
+                WRITE(*,*) 'i=',i
 !                stop                
 #endif               
-                if (snow_apres_precip(i).gt.ridicule) then
+                if (snow_apres_precip(i).gt.ridicule) THEN
                    ! on évapore la snow apres precip
                   do ixt=1,niso
@@ -13284,9 +13155,9 @@
 #endif              
                   enddo
-                else  !if (snow_apres_precip(i).gt.0.0) then
+                else  !if (snow_apres_precip(i).gt.0.0) THEN
 #ifdef ISOVERIF                
-                  write(*,*) 'iso_surf_lic 967: quoi evaporer? '// &
+                  WRITE(*,*) 'iso_surf_lic 967: quoi evaporer? '// &
                          'sans espoir'
-                  write(*,*) 'snow_apres_precip(i)=', &
+                  WRITE(*,*) 'snow_apres_precip(i)=', &
                          snow_apres_precip(i)
                   stop                
@@ -13304,12 +13175,9 @@
 #endif              
                     enddo
-                endif !if (snow_apres_precip(i).gt.0.0) then
-              
-                
-            endif !if (snow_avant_evap(i).gt.0.0) then  
-
+                endif !if (snow_apres_precip(i).gt.0.0) THEN
+            endif !if (snow_avant_evap(i).gt.0.0) THEN
         ! C Risi juin 2020: on supprime la rosée ici car ça a déjà été traité
         ! plus haut
-        else if (snow_evap(i).lt.-ridicule**2) then ! if (snow_evap(i).gt.0.0) then
+        else if (snow_evap(i).lt.-ridicule**2) then ! if (snow_evap(i).gt.0.0) THEN
 !            ! on a de la rosée
 !            CALL iso_rosee_givre(xt1lay,q1lay,tsurf, &
@@ -13320,5 +13188,5 @@
               xtsnow(ixt,i)=xtsnow_avant_evap(ixt,i)  
             enddo
-        else ! if (snow_evap(i).lt.-ridicule**2) then
+        else ! if (snow_evap(i).lt.-ridicule**2) THEN
             ! évaporation nulle 
             do ixt=1,ntraciso
@@ -13328,9 +13196,8 @@
               xtsnow(ixt,i)=xtsnow_avant_evap(ixt,i)            
             enddo
-        endif !if (snow_evap(i).gt.0.0) then
-
+        endif !if (snow_evap(i).gt.0.0) THEN
 #ifdef ISOTRAC
               do ixt=niso+1,ntraciso
-                if (index_zone(ixt).eq.izone_cont) then
+                if (index_zone(ixt).eq.izone_cont) THEN
                   xtsnow_evap(ixt,i)=xtsnow_evap(index_iso(ixt),i)
                 else
@@ -13355,17 +13222,17 @@
                  -fqcalving(i)*dtime,snow(i), &
                  'gestion_neige 1087',errmax_sol*max(snow(i),1.0), &
-                 errmaxrel).eq.1) then
-             write(*,*) 'snow(i)=',snow(i)
-             write(*,*) 'snow_prec(i)=',snow_prec(i)
-             write(*,*) 'precip_snow(i)*dt=',precip_snow(i)*dtime
-             write(*,*) 'fq_fonte_neige(i)=',fq_fonte_neige(i)
-             write(*,*) 'snow_evap(i)*dt=',snow_evap(i)*dtime
-             write(*,*) 'fqcalving(i)*dt=',fqcalving(i)*dtime
-             write(*,*) 'snow_avant_evap(i)=',snow_avant_evap(i)
-             write(*,*) 'snow_apres_precip(i)=',snow_apres_precip(i)
-             write(*,*) 'snow_avant_calving(i)=',snow_avant_calving(i)
+                 errmaxrel).eq.1) THEN
+             WRITE(*,*) 'snow(i)=',snow(i)
+             WRITE(*,*) 'snow_prec(i)=',snow_prec(i)
+             WRITE(*,*) 'precip_snow(i)*dt=',precip_snow(i)*dtime
+             WRITE(*,*) 'fq_fonte_neige(i)=',fq_fonte_neige(i)
+             WRITE(*,*) 'snow_evap(i)*dt=',snow_evap(i)*dtime
+             WRITE(*,*) 'fqcalving(i)*dt=',fqcalving(i)*dtime
+             WRITE(*,*) 'snow_avant_evap(i)=',snow_avant_evap(i)
+             WRITE(*,*) 'snow_apres_precip(i)=',snow_apres_precip(i)
+             WRITE(*,*) 'snow_avant_calving(i)=',snow_avant_calving(i)
              stop
          endif
-         if (iso_eau.gt.0) then  
+         if (iso_eau.gt.0) THEN
                  CALL iso_verif_egalite_choix(xtsnow(iso_eau,i), &
                      snow_avant_calving(i),'gestion_neige 1172', &
@@ -13374,10 +13241,10 @@
                      snow_evap(i),'gestion_neige 1198', &
                      errmax,errmaxrel)
-          endif !if (iso_eau.gt.0) then
-          if (iso_HDO.gt.0) then                   
+          endif !if (iso_eau.gt.0) THEN
+          if (iso_HDO.gt.0) THEN
              CALL iso_verif_aberrant_choix(xtsnow(iso_hdo,i), &
                  snow_avant_calving(i),ridicule_snow,deltalim_snow, &
                  'gestion_neige 2090')
-          endif !if (iso_eau.gt.0) then
+          endif !if (iso_eau.gt.0) THEN
 #ifdef ISOTRAC
 !          CALL iso_verif_traceur(xtsnow_evap(1,i), &
@@ -13390,5 +13257,5 @@
 #endif         
        do i=1,knon   
-        if (fqcalving(i).gt.0.0) then
+        if (fqcalving(i).gt.0.0) THEN
 #ifdef ISOVERIF   
             CALL iso_verif_positif_strict(snow_avant_calving(i), &
@@ -13406,6 +13273,5 @@
               fxtcalving(ixt,i)=0.0
             enddo
-        endif !if (fqcalving(i).gt.0.0) then
-
+        endif !if (fqcalving(i).gt.0.0) THEN
       enddo ! do i=1,knon
 
@@ -13413,10 +13279,9 @@
       ! bidouille anti-divergence: utile pour éviter propagation des
       ! erreurs numériques
-      if ((iso_eau.gt.0).and.(bidouille_anti_divergence)) then
+      if ((iso_eau.gt.0).and.(bidouille_anti_divergence)) THEN
           do i=1,knon
             xtsnow(iso_eau,i)=snow(i)
           enddo
-      endif !if ((iso_eau.gt.0).and.(bidouille_anti_divergence)) then  
-
+      endif !if ((iso_eau.gt.0).and.(bidouille_anti_divergence)) THEN
       ! verif cons masse de la neige
 #ifdef ISOVERIF      
@@ -13427,15 +13292,15 @@
          if (iso_verif_egalite_choix_nostop(dqdiag, &
                  snow(i)-snow_prec(i),'ter 2128', &
-                 errmax_sol*max(snow(i),1.0),errmaxrel).eq.1) then
-             write(*,*) 'calcul_iso_surf_ter 2086: bilan qsnow'
-             write(*,*) 'snow(i)=',snow(i)
-             write(*,*) 'snow_prec(i)=',snow_prec(i)
-             write(*,*) 'precip_snow(i)*dt=',precip_snow(i)*dtime
-             write(*,*) 'fq_fonte_neige(i)=',fq_fonte_neige(i)
-             write(*,*) 'snow_evap(i)*dt=',snow_evap(i)*dtime
-             write(*,*) 'fqcalving(i)=',fqcalving(i)*dtime
+                 errmax_sol*max(snow(i),1.0),errmaxrel).eq.1) THEN
+             WRITE(*,*) 'calcul_iso_surf_ter 2086: bilan qsnow'
+             WRITE(*,*) 'snow(i)=',snow(i)
+             WRITE(*,*) 'snow_prec(i)=',snow_prec(i)
+             WRITE(*,*) 'precip_snow(i)*dt=',precip_snow(i)*dtime
+             WRITE(*,*) 'fq_fonte_neige(i)=',fq_fonte_neige(i)
+             WRITE(*,*) 'snow_evap(i)*dt=',snow_evap(i)*dtime
+             WRITE(*,*) 'fqcalving(i)=',fqcalving(i)*dtime
              stop
          endif
-         if (snow(i).lt.snow_max) then
+         if (snow(i).lt.snow_max) THEN
          do ixt=1,niso
             dqdiag=xtprecip_snow(ixt,i)*dtime-fxt_fonte_neige(ixt,i) &
@@ -13443,25 +13308,25 @@
             if (iso_verif_egalite_choix_nostop(dqdiag, &
                  xtsnow(ixt,i)-xtsnow_prec(ixt,i),'ter 2144', &
-                 errmax_sol*max(snow(i),1.0),errmaxrel).eq.1) then
-             write(*,*) 'calcul_iso_surf_ter 2101: bilan xtsnow, ixt=', &
+                 errmax_sol*max(snow(i),1.0),errmaxrel).eq.1) THEN
+             WRITE(*,*) 'calcul_iso_surf_ter 2101: bilan xtsnow, ixt=', &
                  ixt
-             write(*,*) 'i=',i
-             write(*,*) 'snow(i)=',snow(i)
-             write(*,*) 'snow_prec(i)=',snow_prec(i)
-             write(*,*) 'precip_snow(i)*dt=',precip_snow(i)*dtime
-             write(*,*) 'fq_fonte_neige(i)=',fq_fonte_neige(i)
-             write(*,*) 'snow_evap(i)*dt=',snow_evap(i)*dtime
-             write(*,*) 'fqcalving(i)=',fqcalving(i)*dtime
-             write(*,*) 'xtsnow(ixt,i)=',xtsnow(ixt,i)
-             write(*,*) 'xtsnow_prec(i)=',xtsnow_prec(ixt,i)
-             write(*,*) 'xtprecip_snow(i)*dt=',xtprecip_snow(ixt,i) &
+             WRITE(*,*) 'i=',i
+             WRITE(*,*) 'snow(i)=',snow(i)
+             WRITE(*,*) 'snow_prec(i)=',snow_prec(i)
+             WRITE(*,*) 'precip_snow(i)*dt=',precip_snow(i)*dtime
+             WRITE(*,*) 'fq_fonte_neige(i)=',fq_fonte_neige(i)
+             WRITE(*,*) 'snow_evap(i)*dt=',snow_evap(i)*dtime
+             WRITE(*,*) 'fqcalving(i)=',fqcalving(i)*dtime
+             WRITE(*,*) 'xtsnow(ixt,i)=',xtsnow(ixt,i)
+             WRITE(*,*) 'xtsnow_prec(i)=',xtsnow_prec(ixt,i)
+             WRITE(*,*) 'xtprecip_snow(i)*dt=',xtprecip_snow(ixt,i) &
                          *dtime
-             write(*,*) 'fxt_fonte_neige(i)=',fxt_fonte_neige(ixt,i)
-             write(*,*) 'xtsnow_evap(i)*dt=',xtsnow_evap(ixt,i)*dtime
-             write(*,*) 'fxtcalving(i)=',fxtcalving(ixt,i)
+             WRITE(*,*) 'fxt_fonte_neige(i)=',fxt_fonte_neige(ixt,i)
+             WRITE(*,*) 'xtsnow_evap(i)*dt=',xtsnow_evap(ixt,i)*dtime
+             WRITE(*,*) 'fxtcalving(i)=',fxtcalving(ixt,i)
              stop
            endif    
            enddo ! do ixt=1,niso
-         endif ! if (snow(i).lt.snow_max) then
+         endif ! if (snow(i).lt.snow_max) THEN
       enddo !do i=1,knon      
 #endif
@@ -13473,13 +13338,13 @@
         ! cette partie est ajoutée le 31 juillet 2017
         do i=1,knon
-           if (fqfonte_neige(i).gt.fq_fonte_neige(i)/dtime) then
+           if (fqfonte_neige(i).gt.fq_fonte_neige(i)/dtime) THEN
                 ! on font la banquise ou la land ice.
                 fqfonte_neige_add=fqfonte_neige(i)-fq_fonte_neige(i)/dtime
-                if (nisurf == is_sic) then
+                if (nisurf == is_sic) THEN
                   do ixt=1,niso
                      fxtfonte_neige(ixt,i)=fxt_fonte_neige(ixt,i)/dtime &
                         +fqfonte_neige_add*tcorr(ixt)*toce(ixt)*alpha_liq_sol(ixt)
                   enddo
-                else if (nisurf == is_lic) then
+                else if (nisurf == is_lic) THEN
                    do ixt=1,niso
                      fxtfonte_neige(ixt,i)=fxt_fonte_neige(ixt,i)/dtime &
@@ -13488,7 +13353,7 @@
                 else     
 #ifdef ISOVERIF
-                   write(*,*) 'iso_routines > gestion_neige 13480: nisurf=',nisurf
-                   write(*,*) 'i,dtime=',i,dtime
-                   write(*,*) 'fqfonte_neige(i),fq_fonte_neige(i)=',fqfonte_neige(i),fq_fonte_neige(i)
+                   WRITE(*,*) 'iso_routines > gestion_neige 13480: nisurf=',nisurf
+                   WRITE(*,*) 'i,dtime=',i,dtime
+                   WRITE(*,*) 'fqfonte_neige(i),fq_fonte_neige(i)=',fqfonte_neige(i),fq_fonte_neige(i)
                    stop
 #endif             
@@ -13498,5 +13363,5 @@
                   enddo
                 endif
-           else !if (fqfonte_neige(i).gt.fq_fonte_neige(i)/dtime) then
+           else !if (fqfonte_neige(i).gt.fq_fonte_neige(i)/dtime) THEN
 #ifdef ISOVERIF
                 CALL iso_verif_egalite(fqfonte_neige(i),fq_fonte_neige(i)/dtime, &
@@ -13506,7 +13371,7 @@
                   fxtfonte_neige(ixt,i)=fxt_fonte_neige(ixt,i)/dtime
                 enddo
-           endif !if (fqfonte_neige(i).gt.fq_fonte_neige(i)/dtime) then
-#ifdef ISOVERIF
-           if (iso_eau.gt.0) then
+           endif !if (fqfonte_neige(i).gt.fq_fonte_neige(i)/dtime) THEN
+#ifdef ISOVERIF
+           if (iso_eau.gt.0) THEN
                 CALL iso_verif_egalite(fqfonte_neige(i),fxtfonte_neige(iso_eau,i), &
                         'iso_routines > gestion_neige 13479')
@@ -13589,8 +13454,8 @@
 
         ! vérif préliminaire
-        !write(*,*) 'calcul_iso_surf_oce 41'
+        !WRITE(*,*) 'calcul_iso_surf_oce 41'
 #ifdef ISOVERIF
         do i=1,knon
-          if (iso_eau.gt.0) then            
+          if (iso_eau.gt.0) THEN
                  CALL iso_verif_egalite_choix(Roce(iso_eau,i),1.0, &
                         'calcul_iso_surf_oce 47',errmax,errmaxrel)
@@ -13598,10 +13463,9 @@
                         q1lay(i),'calcul_iso_surf_oce 69', &
                         errmax,errmaxrel)
-           endif !if (iso_eau.gt.0) then
-           if (iso_HDO.gt.0) then 
+           endif !if (iso_eau.gt.0) THEN
+           if (iso_HDO.gt.0) THEN
               CALL iso_verif_positif(deltaD(Roce(iso_HDO,i))+100.0, &
                  'calcul_iso_surf_oce 54')
-            endif !if (iso_eau.gt.0) then      
-
+            endif !if (iso_eau.gt.0) THEN
             CALL iso_verif_noNaN(tsurf(i),'calcul_iso_surf_ice 62')
          enddo  
@@ -13613,5 +13477,5 @@
          ncas_rosee=0
          do i=1,knon
-          if (evap(i).gt.0.0) then
+          if (evap(i).gt.0.0) THEN
            ncas_evap=ncas_evap+1
            cas_evap(ncas_evap)=i 
@@ -13619,5 +13483,5 @@
            trace_cas(i)=1
 #endif
-          else if (evap(i).eq.0.0) then
+          else if (evap(i).eq.0.0) THEN
            ncas_noevap=ncas_noevap+1
            cas_noevap(ncas_noevap)=i
@@ -13634,10 +13498,10 @@
          enddo !do i=1,knon
 
-        !write(*,*) 'calcul_iso_surf_oce 13703'
+        !WRITE(*,*) 'calcul_iso_surf_oce 13703'
          ! traitement vectoriel du cas d'évaporation
          do icas=1,ncas_evap
             i=cas_evap(icas)
-            !write(*,*) 'icas, i, ncas_evap=',icas, i, ncas_evap
-            if (tsurf(i).lt.t_coup) then
+            !WRITE(*,*) 'icas, i, ncas_evap=',icas, i, ncas_evap
+            if (tsurf(i).lt.t_coup) THEN
              zqs(i)=qsats(tsurf(i))/ps(i)
 #ifdef ISOVERIF             
@@ -13654,5 +13518,5 @@
            h1(i)=q1lay(i)/zqs(i)
            h1(i)=min(1.0,max(0.0,h1(i)))
-           if (cste_surf_cond.eq.2) then
+           if (cste_surf_cond.eq.2) THEN
                ! on suppose la température de surface constante dans le
                ! calcul des coefs de frac, pour faire un test de
@@ -13662,11 +13526,11 @@
                          zxtalphal(ixt,i))
             enddo
-           else !if (cste_surf_cond.eq.2) then
+           else !if (cste_surf_cond.eq.2) THEN
             do ixt=1,niso
               CALL fractcalk_liq(ixt,tsurf(i), &
                          zxtalphal(ixt,i))
             enddo
-           endif !if (cste_surf_cond.eq.2) then
-            if (q1lay(i).gt.0.0) then
+           endif !if (cste_surf_cond.eq.2) THEN
+            if (q1lay(i).gt.0.0) THEN
               do ixt=1,niso  
                 R1(ixt)=xt1lay(ixt,i)/q1lay(i)
@@ -13674,5 +13538,5 @@
             else
 #ifdef ISOVERIF
-                write(*,*) 'calcul_iso_surf 124: q1lay=',q1lay(i)
+                WRITE(*,*) 'calcul_iso_surf 124: q1lay=',q1lay(i)
                 stop
 #endif
@@ -13683,6 +13547,6 @@
           VSURF=sqrt(u1lay(i)**2+v1lay(i)**2)
           CALL calcul_kcin(vsurf,kcin(1,i))
-          if (cste_surf_cond.eq.0) then
-            if (h1(i).lt.0.98) then              
+          if (cste_surf_cond.eq.0) THEN
+            if (h1(i).lt.0.98) THEN
               do ixt=1,niso
                 xtevap(ixt,i)=evap(i)* &
@@ -13690,10 +13554,10 @@
                  /(1.0-h1(i))*(1.0-kcin(ixt,i))
                enddo !do ixt=1,niso
-            else !if (h1(i).lt.0.98) then
+            else !if (h1(i).lt.0.98) THEN
               do ixt=1,niso
                 xtevap(ixt,i)=evap(i)*Roce(ixt,i)/zxtalphal(ixt,i)
               enddo
-            endif !if (h1(i).lt.0.98) then
-          else !if (cste_surf_cond.eq.0) then
+            endif !if (h1(i).lt.0.98) THEN
+          else !if (cste_surf_cond.eq.0) THEN
               do ixt=1,niso
                 xtevap(ixt,i)=evap(i)* &
@@ -13702,11 +13566,10 @@
                  /(1.0-rh_cste_surf_cond)*(1.0-kcin(ixt,i))
               enddo !do ixt=1,niso
-          endif !if (cste_surf_cond.eq.0) then
-
-        !write(*,*) 'calcul_iso_surf_oce 13772'
-        !write(*,*) 'knindex(i),klon=',knindex(i),klon
+          endif !if (cste_surf_cond.eq.0) THEN
+        !WRITE(*,*) 'calcul_iso_surf_oce 13772'
+        !WRITE(*,*) 'knindex(i),klon=',knindex(i),klon
 #ifdef ISOTRAC
           if ((option_traceurs.eq.3).or. &
-                 (option_traceurs.eq.20)) then
+                 (option_traceurs.eq.20)) THEN
              izone_recoit=bassin_map(knindex(i))
          else
@@ -13714,7 +13577,7 @@
           endif     
 
-        !write(*,*) 'calcul_iso_surf_oce 13781, izone_recoit=',izone_recoit
+        !WRITE(*,*) 'calcul_iso_surf_oce 13781, izone_recoit=',izone_recoit
           do ixt=niso+1,ntraciso
-            if (index_zone(ixt).eq.izone_recoit) then
+            if (index_zone(ixt).eq.izone_recoit) THEN
                xtevap(ixt,i)=xtevap(index_iso(ixt),i)
             else
@@ -13723,5 +13586,5 @@
           enddo   !do ixt=niso+1,ntraciso        
 #endif      
-        !write(*,*) 'calcul_iso_surf_oce 13786'    
+        !WRITE(*,*) 'calcul_iso_surf_oce 13786'
 
 #ifdef ISOVERIF
@@ -13732,60 +13595,60 @@
 #endif          
 #ifdef ISOVERIF
-          if (iso_eau.gt.0) then
+          if (iso_eau.gt.0) THEN
               CALL iso_verif_egalite_choix(xtevap(iso_eau,i),evap(i), &
                  'calcul_iso_surf_oce 3309: sur ocean', &
                   errmax,errmaxrel)
-          endif !if (iso_eau.gt.0) then
-          if (iso_HDO.gt.0) then    
-           if (abs(evap(i)).gt.ridicule_evap) then
+          endif !if (iso_eau.gt.0) THEN
+          if (iso_HDO.gt.0) THEN
+           if (abs(evap(i)).gt.ridicule_evap) THEN
              if (iso_verif_aberrant_nostop(xtevap(iso_HDO,i)/evap(i), &
-                 'calcul_iso_surf_oce 3308: sur ocean').eq.1) then
-               write(*,*) 'h1(i),kcin(iso_HDO,i)=',h1(i),kcin(iso_HDO,i)
-               write(*,*) 'deltaD(R1)=',deltaD(R1(iso_HDO))
-               write(*,*) 'deltaD(Roce/alpha)=', &
+                 'calcul_iso_surf_oce 3308: sur ocean').eq.1) THEN
+               WRITE(*,*) 'h1(i),kcin(iso_HDO,i)=',h1(i),kcin(iso_HDO,i)
+               WRITE(*,*) 'deltaD(R1)=',deltaD(R1(iso_HDO))
+               WRITE(*,*) 'deltaD(Roce/alpha)=', &
                      deltaD(Roce(iso_HDO,i)/zxtalphal(iso_HDO,i))
                ! si deltaD vap très faible, c'est normale d'avoir deltaD
                ! très fort dans l'évap
                if ((evap(i).gt.faible_evap).and. &
-                         (deltaD(R1(iso_HDO)).gt.deltaDfaible)) then
+                         (deltaD(R1(iso_HDO)).gt.deltaDfaible)) THEN
                  stop
                endif
              endif
-           endif !if (abs(evap(i)).gt.ridicule_evap) then
+           endif !if (abs(evap(i)).gt.ridicule_evap) THEN
            if ((xtevap(iso_HDO,i)/evap(i).lt.R1(iso_HDO)-20.0) &
-                 .and.(evap(i).gt.ridicule_evap)) then
-               write(*,*) 'calcul_iso_surf_oce 106, i=',i
-               write(*,*) 'deltaDevap=', &
+                 .and.(evap(i).gt.ridicule_evap)) THEN
+               WRITE(*,*) 'calcul_iso_surf_oce 106, i=',i
+               WRITE(*,*) 'deltaDevap=', &
                  deltaD(xtevap(iso_HDO,i)/evap(i))
-               write(*,*) 'deltaDv1=',deltaD(R1(iso_HDO))
-               write(*,*) 'tsurf, kcin(iso_HDO,i)=',tsurf(i)-273.5,  &
+               WRITE(*,*) 'deltaDv1=',deltaD(R1(iso_HDO))
+               WRITE(*,*) 'tsurf, kcin(iso_HDO,i)=',tsurf(i)-273.5,  &
                          kcin(iso_HDO,i)
-               write(*,*) 'deltaD(Roce/alpha)=', &
+               WRITE(*,*) 'deltaD(Roce/alpha)=', &
                          deltaD(Roce(iso_HDO,i)/zxtalphal(iso_HDO,i))
-               write(*,*) 'h1(i),evap(i)=',h1(i),evap(i)
+               WRITE(*,*) 'h1(i),evap(i)=',h1(i),evap(i)
                stop
-           endif ! if (xtevap(iso_HDO,i)/evap(i).lt.R1(iso_HDO)) then
-          endif  !if (iso_HDO.gt.0) then 
-          if ((iso_O17.gt.0).and.(iso_O18.gt.0)) then
-            if (abs(evap(i)).gt.ridicule_evap) then
+           endif ! if (xtevap(iso_HDO,i)/evap(i).lt.R1(iso_HDO)) THEN
+          endif  !if (iso_HDO.gt.0) THEN
+          if ((iso_O17.gt.0).and.(iso_O18.gt.0)) THEN
+            if (abs(evap(i)).gt.ridicule_evap) THEN
                 if (iso_verif_aberrant_o17_nostop(xtevap(iso_O17,i) &
                  /evap(i),xtevap(iso_O18,i) &
-                 /evap(i),'calcul_iso_surf > oce 232').eq.1) then
-                  write(*,*) 'deltaO18,O17excess v1=',deltaO( &
+                 /evap(i),'calcul_iso_surf > oce 232').eq.1) THEN
+                  WRITE(*,*) 'deltaO18,O17excess v1=',deltaO( &
                          R1(iso_O18)),O17excess( &
                          R1(iso_O17),R1(iso_O18))
-                  write(*,*) 'tsurf, kcin(iso_O17,i)=', &
+                  WRITE(*,*) 'tsurf, kcin(iso_O17,i)=', &
                          tsurf(i)-273.5, kcin(iso_O17,i)
-                  write(*,*) 'deltaO18,O17excess(Roce/alpha)=', &
+                  WRITE(*,*) 'deltaO18,O17excess(Roce/alpha)=', &
                          deltaO(Roce(iso_O18,i)/zxtalphal(iso_O18,i)), &
                          O17excess(Roce(iso_O17,i)/zxtalphal(iso_O17,i), &
                                  Roce(iso_O18,i)/zxtalphal(iso_O18,i))
-                  write(*,*) 'h1(i),evap(i)=',h1(i),evap(i)
-                  if (xtevap(iso_O18,i)/evap(i).lt.tnat(iso_O18)) then
+                  WRITE(*,*) 'h1(i),evap(i)=',h1(i),evap(i)
+                  if (xtevap(iso_O18,i)/evap(i).lt.tnat(iso_O18)) THEN
                      stop
                   endif
                 endif !if (iso_verif_aberrant_o17_nostop(xtevap(iso_O17,i)
-            endif !if (abs(evap(i)).gt.ridicule_evap) then
-          endif !if ((iso_O17.gt.0).and.(iso_O18.gt.0)) then
+            endif !if (abs(evap(i)).gt.ridicule_evap) THEN
+          endif !if ((iso_O17.gt.0).and.(iso_O18.gt.0)) THEN
 #ifdef ISOTRAC
           CALL iso_verif_traceur_justmass(xtevap(1,i), &
@@ -13793,9 +13656,9 @@
 #endif          
 #endif
-        !write(*,*) 'calcul_iso_surf_oce 13858'
+        !WRITE(*,*) 'calcul_iso_surf_oce 13858'
 
          enddo !do icas_evap=1,ncas_evap
 
-        !write(*,*) 'calcul_iso_surf_oce 13859'
+        !WRITE(*,*) 'calcul_iso_surf_oce 13859'
         ! traitement vectoriel du cas pas d'évap
         do icas=1,ncas_noevap
@@ -13806,5 +13669,5 @@
         enddo !do icas_evap=1,ncas_evap
 
-        !write(*,*) 'calcul_iso_surf_oce 13868'
+        !WRITE(*,*) 'calcul_iso_surf_oce 13868'
         ! traitement vectoriel du cas rosée
         do icas=1,ncas_rosee
@@ -13816,21 +13679,21 @@
         
         
-        !write(*,*) 'calcul_iso_surf_oce tmp 13876'
+        !WRITE(*,*) 'calcul_iso_surf_oce tmp 13876'
 #ifdef ISOVERIF
         do i=1,knon
-           if (iso_eau.gt.0) then  
+           if (iso_eau.gt.0) THEN
               CALL iso_verif_egalite_choix(xtevap(iso_eau,i),evap(i), &
                         'calcul_iso_surf_oce 115',errmax,errmaxrel)
-           endif !if (iso_eau.gt.0) then
-           if (iso_HDO.gt.0) then  
-              if (evap(i).gt.ridicule_evap) then 
-                if (deltaD(R1(iso_HDO)).gt.200.0) then   
+           endif !if (iso_eau.gt.0) THEN
+           if (iso_HDO.gt.0) THEN
+              if (evap(i).gt.ridicule_evap) THEN
+                if (deltaD(R1(iso_HDO)).gt.200.0) THEN
                 CALL iso_verif_aberrant(xtevap(iso_HDO,i)/evap(i), &
                         'calcul_iso_surf_oce 119')
                 endif
-              endif  !if (evap.gt.ridicule_evap) then   
-           endif !if (iso_eau.gt.0) then
+              endif  !if (evap.gt.ridicule_evap) THEN
+           endif !if (iso_eau.gt.0) THEN
         enddo !do i=1,knon
-!        write(*,*) 'calcul_iso_surf 274: stop temporaire'
+!        WRITE(*,*) 'calcul_iso_surf 274: stop temporaire'
 !        stop
 #endif
@@ -13932,5 +13795,5 @@
 
 #ifdef ISOVERIF
-       if (iso_eau.gt.0) then  
+       if (iso_eau.gt.0) THEN
         do i=1,knon
           CALL iso_verif_egalite_choix(xtsnow(iso_eau,i),snow(i),  &
@@ -13955,6 +13818,6 @@
          ! modif 2 octobre 2008
          ! c'est sol_evap plutot que evap
-!          if (evap(i).gt.0.0) then
-         if (sol_evap(i).gt.0.0) then
+!          if (evap(i).gt.0.0) THEN
+         if (sol_evap(i).gt.0.0) THEN
            ncas_evap=ncas_evap+1
            cas_evap(ncas_evap)=i 
@@ -13962,5 +13825,5 @@
            trace_cas(i)=1
 #endif
-          else if (sol_evap(i).eq.0.0) then
+          else if (sol_evap(i).eq.0.0) THEN
            ncas_noevap=ncas_noevap+1
            cas_noevap(ncas_noevap)=i
@@ -13992,7 +13855,7 @@
 
 #ifdef ISOTRAC
-          if (option_traceurs.eq.3) then  
+          if (option_traceurs.eq.3) THEN
             izone_recoit=izone_poubelle
-          else if (option_traceurs.eq.3) then  
+          else if (option_traceurs.eq.3) THEN
               izone_recoit=bassin_map(knindex(i))
           else
@@ -14001,5 +13864,5 @@
 
           do ixt=niso+1,ntraciso
-            if (index_zone(ixt).eq.izone_recoit) then
+            if (index_zone(ixt).eq.izone_recoit) THEN
              xtsol_evap(ixt,i)=xtsol_evap(index_iso(ixt),i)
             else
@@ -14010,8 +13873,8 @@
 #endif            
 #ifdef ISOVERIF
-          if (iso_HDO.gt.0) then
-              if (deltaD(xtsol_evap(iso_HDO,i)/sol_evap(i)).lt.0.0) then
-                write(*,*) 'calcul_iso_surf_lic 255'
-                write(*,*) 'sol_evap(i),xtsol_evap(iso_HDO,i)=', &
+          if (iso_HDO.gt.0) THEN
+              if (deltaD(xtsol_evap(iso_HDO,i)/sol_evap(i)).lt.0.0) THEN
+                WRITE(*,*) 'calcul_iso_surf_lic 255'
+                WRITE(*,*) 'sol_evap(i),xtsol_evap(iso_HDO,i)=', &
                      sol_evap(i),xtsol_evap(iso_HDO,i)
                 stop  
@@ -14033,5 +13896,5 @@
         ! traitement vectoriel du cas pas d'évap
 !#ifdef ISOVERIF
-!        write(*,*) 'calcul_iso_surf_sic 455: pas d''evap'
+!        WRITE(*,*) 'calcul_iso_surf_sic 455: pas d''evap'
 !#endif
         do icas=1,ncas_noevap
@@ -14044,14 +13907,14 @@
         ! traitement vectoriel du cas rosée
 !#ifdef ISOVERIF
-!        write(*,*) 'calcul_iso_surf_sic 465: cas rosee'
+!        WRITE(*,*) 'calcul_iso_surf_sic 465: cas rosee'
 !#endif
         do icas=1,ncas_rosee
           i=cas_rosee(icas)         
         ! evap<0 -> on condense.
-        !write(*,*) 'calcul_iso_surf_oce 3176: on condense: evap(i)=',evap(i)
+        !WRITE(*,*) 'calcul_iso_surf_oce 3176: on condense: evap(i)=',evap(i)
           CALL iso_rosee_givre(xt1lay,q1lay,tsurf, &
                   t_coup,sol_evap,i,xtsol_evap,klon)
 #ifdef ISOVERIF  
-        if (iso_HDO.gt.0) then
+        if (iso_HDO.gt.0) THEN
             CALL iso_verif_aberrant_choix(-xtsol_evap(iso_HDO,i), &
                  sol_evap(i),ridicule_evap,deltalim_snow, &
